﻿.ta-editor {
    min-height: 300px;
    height: auto;
    max-height: 300px;
    overflow: scroll; /*auto;*/
    font-family: inherit;
    font-size: 100%;
    margin:20px 0;
}

body {
    /*padding-top: 50px;*/
    padding-bottom: 20px;
    font-size: 12px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    /*max-width: 380px;*/
}

#loginForm input
{
     max-width: 280px;
     border-top-right-radius: 4px;
     border-bottom-right-radius: 4px;
}

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

.top10
{
    padding-top: 10px;
}

.btn-primary {
    background-color: #fe5500;
	
    background-image: linear-gradient(to bottom, #fb813e, #fe5500);
    background-repeat: repeat-x;
	border-left-color: #ff5500;
	border-right-color: #ff5500;
	border-top-color: #ff5500;
	border-bottom-color: #e95004;
    color: #FFFFFF;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary.disabled,
.btn-primary[disabled] {
  background-image: none;
  background-color: #ff5500;
  border-color: #ff5500;
  text-decoration: none;
}
.btn-primary:active,
.btn-primary.active {
  background-color: #a83901 \9;
}

.navbar-inverse .navbar-nav > li > a
{
    color: #fff;
    font-weight: bold;
}
.navbar-inverse .navbar-nav > li > a:hover,
.navbar-inverse .navbar-nav > li > a:focus {
  color: #DAD33F;
  background-color: transparent;
}

.main-logo {
     background-repeat: no-repeat;
     background-position: left top;
     background-size: 100%;
}

@media screen and (max-width: 768px) {
   .main-logo { background-image: url('images/logo-sm.png') !important; padding: 5px; width: 48px; height: 43px; left: 0px; top: 0px; }
   .navbar { min-height: 48px !important; }
   .navbar-nav > li > a { margin-top: 0px !important; }
   .login-welcome { color: #fff; font-weight: bold; text-transform:capitalize; float: right; padding-right: 5px;}
}

@media screen and (min-width: 769px) and (max-width: 1023px) {
   .main-logo { background-image: url('images/logo-md.png') !important; width: 80px; height: 72px; }
   .navbar { min-height: 77px !important; }
   .navbar-nav > li > a { margin-top: 30px !important; }
   .login-welcome { color: #fff; font-weight: bold; text-transform:capitalize; float: right; padding-top: 45px; padding-right: 5px;}
}

@media screen and (min-width: 1024px) {
   .main-logo { background-image: url('images/logo-lg.png') !important; width: 159px; height: 143px; }
   .navbar { min-height: 148px !important; }
   .navbar-nav > li > a { margin-top: 101px !important; }
   .login-welcome { color: #fff; font-weight: bold; text-transform:capitalize; float: right; padding-top: 118px;}
}

.navbar-default {
    background-image: url(images/topbanner.png);
    background-color: #C1BD8C;
    border-color: #473829;
}
.navbar {
    border-radius: 0px;
}
.navbar-toggle {
    background-color: #fe5500;
    background-image: linear-gradient(to bottom, #fb813e, #fe5500);
    background-repeat: repeat-x;
    border: 1px solid #ff5500;
}

#sidebar-wrapper {
    background: #473829 none repeat scroll 0 0;
    
}
#page-content-wrapper {
    padding: 0 20px;
}
.nav-pills > li.active > a, .nav-pills > li.active > a:hover, .nav-pills > li.active > a:focus {
    background-color: #fe5500;
    background-image: linear-gradient(to bottom, #fb813e, #fe5500);
    background-repeat: repeat-x;
    color: #fff;
    font-weight: bold;
}

.table th
{
    background-color: #ccc;
    /*color: #ffffff;*/
    
}
/*.table-bordered .table-bordered > thead > tr > th, .table-bordered > tbody > tr > th, .table-bordered > tfoot > tr > th, .table-bordered > thead > tr > td, .table-bordered > tbody > tr > td, .table-bordered > tfoot > tr > td {
    border: 1px solid #473522;
}
*/
.table th a
{
    color: rgb(51,51,51);
    text-decoration: none;
}
.no-padding
{
    padding: 0px;
}
.modal-header {
    background-color: #FE5601;
    color: #fff;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}
.error
{
    color: red;
    font-size: small;
}

.nav, .pagination, .carousel, .panel-title a { cursor: pointer; }

.full button span {
    background-color: limegreen;
    border-radius: 32px;
    color: black;
  }

.sortinfo { display: inline-block; }

.pagination-row
{
    margin-top: -15px;
    margin-bottom: -15px;
}

.modal-lg
{
    width: 90%;
}

.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {
    background-color: #473829;
    border-color: #6f4d26;
}
a {
    color: #6f4d26;
}

@media only screen and (min-width: 800px) {
    #no-more-tables .show-small {
        display: none;
    }
}
@media only screen and (max-width: 800px) {
    #no-more-tables .show-small {
        display: inline-block;
        font-weight: bold;
    }
    
    /* Force table to not be like tables anymore */
	#no-more-tables table, 
	#no-more-tables thead, 
	#no-more-tables tbody, 
	#no-more-tables th, 
	#no-more-tables td, 
	#no-more-tables tr { 
		display: block; 
	}
 
	/* Hide table headers (but not display: none;, for accessibility) */
	#no-more-tables thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
 
	#no-more-tables tr { border: 1px solid #ccc; }
 
	#no-more-tables td { 
		/* Behave  like a "row" */
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
		padding-left: 50%; 
		white-space: normal;
		text-align:left;
	}
 
	#no-more-tables td:before { 
		/* Now like a table header */
		position: absolute;
		/* Top/left values mimic padding */
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
		white-space: nowrap;
		text-align:left;
		font-weight: bold;
	}
 
	/*
	Label the data
	*/
	#no-more-tables td:before { content: attr(data-title); }
}


.table-no-border {
  border: 0px none;
}

.table-no-border > thead > tr > th,
.table-no-border > tbody > tr > th,
.table-no-border > tfoot > tr > th,
.table-no-border > thead > tr > td,
.table-no-border > tbody > tr > td,
.table-no-border > tfoot > tr > td {
  border: 0px none;
}

.table-no-border > thead > tr > th,
.table-no-border > thead > tr > td {
  border-bottom-width: 0px;
}

.highlight {
	font-weight: bold; /*color: #ff0000;*/
}

form input.ng-invalid-autocomplete-required {
  border-color: red;
  
}

.valid-status {
  display: inline-block;
  margin-left: 10px;
}

/*.valid-status.valid {
  color: green;
}

.valid-status.invalid {
  color: red;
}*/

[ng\:cloak], [ng-cloak], .ng-cloak {
  display: none !important;
}

.sunday
{
    background-color: #f3f3f3!important;
}
.inactive
{
    background-color: #eee!important;
}
.vac-error
{
    background-color: #FFCCCC!important;
}

.red
{
    font-weight: bold;
    color: red;
}
.green
{
    font-weight: bold;
    color: green;
}

/*.group span
{
    display: inline-block;
}
.group div
{
    display: inline-block;
}*/

.alert-default {
    background-color: #e4e5c5;
    border-color: #473829;
    color: #473829;
}

.pull-center {
  text-align: center;
}

.totals
{
    background-color: #f3f3f3!important;
}

.clickable
{
    cursor: pointer;
    cursor: hand;
}

.clickable-text
{
    border: 1px dashed #fff;
}
.clickable-text:hover {
    border: 1px dashed #d0d0d0;
}
.clickable-placeholder {
    color: #d0d0d0;
}
.inline {
    display: inline;
}

.clickable-form-control {
    background-color: #ffffff;
    border: 1px dashed #DFDFDF;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #555555;
    display: block;
    min-height: 34px;
    line-height: 1.42857;
    padding: 6px 12px;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    vertical-align: middle;
    width: 100%;
}

.multiline-text
{
    white-space: pre-line;
}

.remark-text
{
    white-space: pre;
    max-height: 100px;
    overflow-y: auto;
}

.dropdown-menu table {
    font-size: 12px;
  }

.report-title h4
{
    color: #ffffff;
    background-color: #473829;
    line-height: 30px;
    margin: 0px;
    padding: 0px;
}


.minisc-backdrop {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: #ffffff;
  width: 100%;
  height: 100%;
  opacity: 0.6;
  filter: alpha(opacity=60);
}

.minisc-backdrop.fade {
  opacity: 0;
}

img.ajaxloading {
	position: absolute;
	top: 0px;
	left: 0px;
    bottom: 0; 
    right: 0;
	margin: auto;
	z-index: 3000;
	border:0 !important;
}

.btn-icon {
    height: 20px;
    width: 20px;
    padding: 2px;
}

table.table-group-tbody tbody:nth-child(odd) { background: #ffffff; }
table.table-group-tbody tbody:nth-child(even) { background: #e5e5e5; }

input[type="text"].mini-search {
    background:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAIAAAAC64paAAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAFcSURBVHjaYvz//z8DuYCJgQJAkWYWTKFXF5bOXnrg2sOPvxlY+eW1HKJTow3EsGpmRPXzq6Pd1RNPf0RTxG+a31pqjcWA/0jg5vyUUCBI6dp58/1PkMDP9zd3dkHE5t/8jwGQ/PzhwLJtHxlYVVNaS93UBNhAQmwCam6lrSmqrAwfty078AF3gP26deEaAwOrQ5QbmvvE3KIcWBkYrl249Qun5g8fXgNJBXlRTK+JyisAydcfPuDULCAA0vbg4WtMza8fPgAZISCAUzObmoEWA8PvA8t2vUKLul3LDvxmYNAyUGPDnUgEHKK8+Bl+355T3b3r1gew/359uLWru3rObaBeqwAHAbLiGVdkMzc0NCBxueWs/exVfz199OLdx5//QClM1yO7Ntf8w9Fjd+6dPPpAysJajht7IsED3p/shySWWVd+YkskeIGAWUF3iRU/Xj8PlfxMkWaAAAMAcvPbNyxM8mkAAAAASUVORK5CYII=) right center no-repeat;
    font-size: 12px;
    /*height: 26px;*/
    line-height: 16px; /*1.42857;*/
    padding-left: 5px;
    padding-right: 20px;

    border: 1px solid #cccccc;
    border-radius: 4px;
    color: #555555;
    display: inline-block;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    vertical-align: middle;
    width: 95%;
}
input[type="text"].mini-search.close-itm {
    background: none;
    font-size: 12px;
    /*height: 26px;*/
    line-height: 16px; /*1.42857;*/
    padding-left: 5px;
    padding-right: 20px;
}

.filter-area {
    background-color: #F8EBD1;
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

input[type="text"].form-control-small
{
    font-size: 12px;
    height: 26px;
    line-height: 16px; /*1.42857;*/
    padding-left: 5px;
    padding-right: 20px;
    border: 1px solid #cccccc;
    border-radius: 4px;
    color: #555555;
    display: inline-block;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    vertical-align: middle;
    width: 100%;
}
div.form-control-small
{
    font-size: 12px;
    height: 26px;
    line-height: 16px; /*1.42857;*/
    padding-left: 5px;
    padding-right: 20px;
    /*border: 1px solid #cccccc;*/
    border-radius: 4px;
    color: #555555;
    display: inline-block;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    vertical-align: middle;
    width: 100%;
}
.custom-select-lg > a.dropdown-toggle {
	height: 34px !important;
}



/**********************************************************/
.animate-switch-container {
  position:relative;
  background:white;
  /*/*border:1px solid black;*/*/
  height:40px;
  overflow:hidden;
}

.animate-switch {
  padding:10px;
}

.animate-switch.ng-animate {
  transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;

  position:absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
}

.animate-switch.ng-leave.ng-leave-active,
.animate-switch.ng-enter {
  top:-50px;
}
.animate-switch.ng-leave,
.animate-switch.ng-enter.ng-enter-active {
  top:0;
}

.scrollable-div
{
    height: 100px;
    overflow:auto;
    border: 1px solid #ddd;
    padding: 3px;
}
.multiselect-parent, .percent100
{
    width: 100%;
}

.table-scrollable-table
{
    height: 300px;
    overflow:auto;
}

.table-scrollable-head {
    background-color: #ccc;
}

.box120 {
    height: 120px;
    overflow: auto;
}
.allchk {
    background-color: #ddd;
    border: 1px solid #aaa;
    padding-top: 3px;
    padding-bottom: 3px;
}

.color-box
{
    display: inline-block; height: 15px; width: 15px; margin-right: 3px;
}

/*.tslist
{
    
}*/

.tslist .tsdet
{
    color: rgb(51,51,51);
    border-bottom: dashed 1px #888888;
    padding-top: 5px;
    padding-bottom: 5px;
}
.tslist .tsrow
{
    padding-top: 15px;
    color: #222;
    border-bottom: solid 1px #888888;
}
/*.tslist .lista:last-child
{
    border-bottom: none;
}*/

.tslist .title
{
    font-size: 20px;
}
.tslist .hours
{
    font-size: 14px;
    font-weight: bold;
}
.holiday
{
    color: #000 !important;
}

.timer {
    background-color: #fff;
    box-shadow: 0 1px 4px rgba(128, 128, 128, 0.8);
    /*margin: 48px auto;*/
    position: relative;
}
.timer .spinner {
    padding: 0px !important;
}
.timer .using-timer {
    font-size: 26px;
    font-weight: bold;
}
.no-margin {
    margin: 0px !important;
}
.btn-info {
    background-color: #337ab7 !important;
    border-color: #0D4D84;
}
.btn-add-time{
    font-weight: bold !important;
    width: 100%;
    padding-top: 20px;
    padding-bottom:20px;
}
.add-time-padding {
    padding-top: 23px;
}
.timer-overlap
{
    background-color: #f2dede;
    border-color: #ebccd1;
}
@media (max-width: 400px) {
    .btn-add-time{
        padding-top: 3px;
        padding-bottom:3px;
    }
    .add-time-padding {
        padding-top: 0px;
    }
}


.rpt-lvl-2
{
    background-color: #0d47a1;
    color: #ffffff;
    font-weight: bold;
}
/*.rpt-lvl-3
{
    background-color: #1565c0;
    color: #ffffff;
    font-weight: bold;
}*/
.rpt-lvl-3
{
    background-color: #1976d2;
    color: #ffffff;
    font-weight: bold;
}
/*.rpt-lvl-5
{
    background-color: #1e88e5;
    color: #ffffff;
    font-weight: bold;
}*/
.rpt-lvl-4
{
    background-color: #2196f3;
    color: #ffffff;
    font-weight: bold;
}
/*.rpt-lvl-7
{
    background-color: #42a5f5;
    color: #000000;
    font-weight: bold;
}*/
.rpt-lvl-5
{
    background-color: #64b5f6;
    color: #000000;
    font-weight: bold;
}
/*.rpt-lvl-9
{
    background-color: #90caf9;
    color: #000000;
    font-weight: bold;
}*/
.rpt-lvl-6
{
    background-color: #bbdefb;
    color: #000000;
    font-weight: bold;
}
.rpt-lvl-7
{
    background-color: #e3f2fd;
    color: #000000;
    font-weight: bold;
}
